ON_UserString Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_object.h>`

## Public Member Functions

| ON_UserString ()
| ~ON_UserString ()
void | Dump (ON_TextLog &text_log) const
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)

## Public Attributes

ON_wString | m_key
ON_wString | m_string_value

## Detailed Description

Definition at line 336 of file opennurbs_object.h.

## Constructor & Destructor Documentation

## ON_UserString()

ON_UserString::ON_UserString | ( |  | ) |

## ~ON_UserString()

ON_UserString::~ON_UserString | ( |  | ) |

## Member Function Documentation

## Dump()

void ON_UserString::Dump | ( | ON_TextLog & | text_log | ) | const

## Read()

bool ON_UserString::Read | ( | ON_BinaryArchive & |  | ) |

## Write()

bool ON_UserString::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_key

ON_wString ON_UserString::m_key

Definition at line 341 of file opennurbs_object.h.

## m_string_value

ON_wString ON_UserString::m_string_value

Definition at line 342 of file opennurbs_object.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_object.h